# -*- coding: utf-8 -*-
import os

from PDFRenderer import PDFRenderer

from Products.CMFCore.utils import getToolByName


try :
    import Products.BlueDCSTool.Transforms as bdcs_transfo

    class BlueDCSRenderer(PDFRenderer):
        """
        PDF renderer class
        """
        mimetype = [ mt for mt in bdcs_transfo.BlueDCSDocTransform.inputs 
                                        if not "pdf" in mt ]

        def generate_pdf(self):
            """
            Generate PDF file
            """
            tool = getToolByName(self.context, "portal_bluedcs")
            inputblob = str(self.data)
            filename = self.partname + ".pdf"
            outputblob = tool.convert_main(inputblob, 'PDF', outputname = filename)
            name = os.path.join(self.config["tmpdir"], self.partname + ".pdf")
            f = open(name, "w")
            f.write(outputblob)
            f.close()
            return name
            

except ImportError:
    
    class BlueDCSRenderer(object):
        """
        does nothing as BlueDCS is not available
        """
        mimetype = []

