# -*- coding: utf-8 -*-

from Renderer import Renderer
import os

class PDFRenderer(Renderer):
    """
    PDF renderer class
    """
    mimetype = "application/pdf"

    def tex(self):
        """
        Return the TeX code for including ourself if the file
        """
        name = self.generate_pdf()
        if os.path.exists(name):
            return "\\includepdf[pages=-,fitpaper=true,trim=0 0 0 0,offset=0 0,turn=true,noautoscale=false]{%s}\n" % name
        else:
            return ""

    
    def generate_pdf(self):
        """
        Generate PDF file
        """
        name = os.path.join(self.config["tmpdir"], self.partname + ".pdf")
        f = open(name, "w")
        f.write(self.data)
        f.close()
        return name
