# -*- coding: utf-8 -*-

from PDFDocument import PDFDocument

document = PDFDocument()
document.config["cleanup"] = False
document.add_html("""<html>
<head>
<title>Test title</title>
</head>
<html>
<body>
<h1>First</h1>
<h2>Table</h2>
<table>
<tr>
<th>Plop !</th><th>plop</th>
</tr>
<tr>
<th>Plip !</th><th>plip</th>
</tr>
</table>
<h2>List</h2>
<ul>
<li>Item</li>
<li>Another item</li>
</ul>
<h1>Second</h1>
Some accents éàç
</body>
</html>""", htmltoc = True)

document.add_data(r"""
$$E = m \times c^{2}$$
""", "text/x-tex")

document.add_html("""<html>
<head>
<title>Test title</title>
</head>
<html>
<body>
<h1>Sky</h1>
The sky is blue
</body>
</html>""", section = "Section 2", title = "Title 1")

document.add_html("""<html>
<head>
<title>Test title</title>
</head>
<html>
<body>
<h1>Sea</h1>
The sea is blue
</body>
</html>""", section = "Section 2", title = "Title 2")

document.add_attachment(open("/home/kilobug/Desktop/support-formation-plone-pilot-systems-v091.pdf").read())

pdf = document.generate()
f = open("/home/kilobug/tmp.pdf", "w")
f.write(pdf)
f.close()
